/*
 *  nfc-converter.h
 * 
 *  Copyright (C) 2006-2008 Brian Pepple
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Brian Pepple <bpepple@fedoraproject.org>
 * 
 */

#ifndef NFC_CONVERTER_H
#define NFC_CONVERTER_H

#include <glib-object.h>

G_BEGIN_DECLS

#define NFC_TYPE_CONVERTER         (nfc_converter_get_type ())
#define NFC_CONVERTER(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), NFC_TYPE_CONVERTER, NfcConverter))
#define NFC_CONVERTER_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), NFC_TYPE_CONVERTER, NfcConverterClass))
#define NFC_IS_CONVERTER(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), NFC_TYPE_CONVERTER))
#define NFC_IS_CONVERTER_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), NFC_TYPE_CONVERTER))
#define NFC_CONVERTER_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), NFC_TYPE_CONVERTER, NfcConverterClass))

typedef struct _NfcConverter      NfcConverter;
typedef struct _NfcConverterClass NfcConverterClass;

struct _NfcConverter {
	GObject parent;
};

struct _NfcConverterClass {
	GObjectClass parent_class;
	/* Add Signal Functions Here */
};

GType		 nfc_converter_get_type    (void);
NfcConverter	*nfc_converter_new 	   (GList *files);
void		 nfc_converter_show_dialog (NfcConverter *dialog);

G_END_DECLS

#endif /* NFC_CONVERTER_H */
