/*
 *  nfc-extension.h
 * 
 *  Copyright (C) 2006-2008 Brian Pepple
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Brian Pepple <bdpepple@fedoraproject.org>
 * 
 */

#ifndef NFC_EXTENSION_H
#define NFC_EXTENSION_H

#include <glib-object.h>

G_BEGIN_DECLS

/*
 * Declarations for the nautilus flac extension object.  This object will be
 * instantiated by nautilus.  It implements the GInterfaces exported by libnautilus.
 */

#define NFC_TYPE_EXTENSION	   (nfc_extension_get_type ())
#define NFC_EXTENSION(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), NFC_TYPE_EXTENSION, NfcExtension))
#define NFC_IS_EXTENSION(o)	   (G_TYPE_CHECK_INSTANCE_TYPE ((o), NFC_TYPE_EXTENSION))

typedef struct _NfcExtension	   NfcExtension;
typedef struct _NfcExtensionClass  NfcExtensionClass;

struct _NfcExtension {
	GObject parent_slot;
};

struct _NfcExtensionClass {
	GObjectClass parent_slot;
};

GType nfc_extension_get_type      (void);
void  nfc_extension_register_type (GTypeModule *module);

G_END_DECLS

#endif
